/* grid.css */
/* CSS Grid System for layout */

.grid {
    display: grid;
    gap: 20px;
    /* align-items: center; */
}
.service-grid {
  display: grid;
  column-gap: 5%;
  row-gap: 20px;
}
  
.column-2 {
    grid-template-columns: 1fr 1fr;
}
  
.column-3 {
    grid-template-columns: repeat(3, 1fr);
}
  /* Responsive adjustments */
@media (max-width: 1024px) {
    .grid, .service-grid, .column-2, .column-3 {
      grid-template-columns: 1fr;
    }
    .next-steps-right {
        margin-left: 2em;
    }
}
.dynamic-grid {
    display: grid;
    gap: 20px;
    grid-template-columns: repeat(auto-fit, minmax(200px, 1fr));
}
.service-item {
    max-width: 300px;
    margin: 0 auto;
    padding-top: 1px;
    padding-bottom: 1px;
    border-radius: 5px;
    background: #F0F0F0;
    /* background: linear-gradient(to bottom, #fff1bb 10%, #fc8b6f 100%); */
    background: linear-gradient(to bottom, #fff1bb 50%, #fc8b6f 100%);
    box-shadow: 0 4px 8px rgba(0,0,0,0.5);
    display: flex;
    flex-direction: column;
  }
  .service-item a.btn {
    margin-top: auto;
    margin-bottom: 5px;

  }
  .service-item p {
    margin-top: auto;
  }
  .service-item img {
    width: 100%;
    height: 250px;       /* Set a fixed height for uniformity */
    object-fit: cover;   /* Ensures the image covers the container while cropping extra parts */
    /* border-radius: 100%; */
  }
  .service-item h3,
  .service-item p,
  .service-item a
  {
    margin-inline: 5px;
    
    /* 
    margin-top: auto;
    text-align: center;       
    margin: 0 auto;         
    margin-block-start: 1em;
    margin-block-end: 1em;
    max-width: 95%;         */
  }


  